/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.component.openshift.springboot;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * To manage your Openshift 2.x applications.
 * 
 * Generated by camel-package-maven-plugin - do not edit this file!
 */
@ConfigurationProperties(prefix = "camel.component.openshift")
public class OpenShiftComponentConfiguration {

    /**
     * The username to login to openshift server.
     */
    private String username;
    /**
     * The password for login to openshift server.
     */
    private String password;
    /**
     * Domain name. If not specified then the default domain is used.
     */
    private String domain;
    /**
     * Url to the openshift server. If not specified then the default value from
     * the local openshift configuration file /.openshift/express.conf is used.
     * And if that fails as well then openshift.redhat.com is used.
     */
    private String server;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getServer() {
        return server;
    }

    public void setServer(String server) {
        this.server = server;
    }
}